Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
verify_internal_consistency_struct Struct Reference

## Data Fields
rb_objspace_t * | objspace
int | err_count
size_t | live_object_count
size_t | zombie_object_count
VALUE | parent
size_t | old_object_count
size_t | remembered_shady_count

## Detailed Description

Definition at line 5891 of file gc.c.

## Field Documentation

## ◆ err_count

int verify_internal_consistency_struct::err_count

Definition at line 5893 of file gc.c.

## ◆ live_object_count

size_t verify_internal_consistency_struct::live_object_count

Definition at line 5894 of file gc.c.

## ◆ objspace

rb_objspace_t* verify_internal_consistency_struct::objspace

Definition at line 5892 of file gc.c.

## ◆ old_object_count

size_t verify_internal_consistency_struct::old_object_count

Definition at line 5899 of file gc.c.

## ◆ parent

VALUE verify_internal_consistency_struct::parent

Definition at line 5898 of file gc.c.

## ◆ remembered_shady_count

size_t verify_internal_consistency_struct::remembered_shady_count

Definition at line 5900 of file gc.c.

## ◆ zombie_object_count

size_t verify_internal_consistency_struct::zombie_object_count

Definition at line 5895 of file gc.c.

The documentation for this struct was generated from the following file:

- gc.c